Cancel Test Execution
curl --request PATCH \
--url https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/test-executions/{testExecutionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"forceUpdate": true,
"status": "CANCELLED"
}
'import requests
url = "https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/test-executions/{testExecutionId}"
payload = {
"forceUpdate": True,
"status": "CANCELLED"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({forceUpdate: true, status: 'CANCELLED'})
};
fetch('https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/test-executions/{testExecutionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"testExecutionId": "1398aa31-af57-4a6a-9752-27c2e8556c3f"
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}Test Execution
Cancel Test Execution
Cancel a test execution, optionally forcing the termination
PATCH
/
v1
/
projects
/
{projectId}
/
test-executions
/
{testExecutionId}
Cancel Test Execution
Authorizations
a valid bearer token
Path Parameters
The UUID of the test execution's project
ID of the test execution, as returned when executing a test
Body
application/json
Response
Test execution cancelled successfully
Server-generated identifier for the cancelled test execution
Example:
"1398aa31-af57-4a6a-9752-27c2e8556c3f"
Was this page helpful?
⌘I
